inherit extrausers

# usermod -p BJpK8ADNDLsGg root;
EXTRA_USERS_PARAMS = "usermod -p 2Pe/4xyFxsokE diya; \
                        usermod -a -G video diya; \
                        usermod -a -G tty diya; \
                        usermod -a -G input diya; \
                        usermod -a -G dialout diya; \
                        usermod -a -G audio diya; \
                        usermod -a -G avahi diya; \
                        usermod -a -G sudo diya \
                        "
IMAGE_BOOT_FILES:append = "fs_resize config.txt recovery-${MACHINE}.cpio.gz Image boot.scr ${KERNEL_DEVICETREE} allwinner/overlay/sun50i-h616-fixup.scr "

IMAGE_INSTALL:append = "kernel-modules \
                        libcurl \
                        libdrm \
                        libgbm \
                        libgles2 \
                        libegl-mesa \
                        libglapi \
                        libudev \
                        libinput \
                        pango \
                        libxkbcommon \
                        xkeyboard-config \
                        diya-overlay \
                        seatd \
                        pixman \
                        cairo \
                        glib-2.0 \
                        udev \
                        glew \
                        freetype \
                        fontconfig \
                        librsvg librsvg-gtk \
                        gdk-pixbuf \
                        gtk-layer-shell \
                        gobject-introspection \
                        l3afpad \
                        mesa \
                        sudo \
                        htop \
                        i2c-tools \
                        bash \
                        nano \
                        wpa-supplicant \
                        evtest \
                        rsync \
                        coreutils \
                        wayland wayland-protocols \
                        foot swaybg swayidle swaylock  wlopm sfwbar tofi wtype \
                        mc \
                        gdbserver \
                        " 

IMAGE_PREPROCESS_COMMAND += "image_patch;"

image_patch () {
    # delete unused kernel image
    rm -rf ${IMAGE_ROOTFS}/boot/*
}
# labwc wlr-randr 